org.apache.olingo.odata2.jpa.processor.api.factory

## Interface JPQLBuilderFactory

-     public interface JPQLBuilderFactory

  Factory interface for creating following instances

  - JPQL statement builders of type `JPQLStatement.JPQLStatementBuilder`
  - JPQL context builder of type `JPQLContext.JPQLContextBuilder`
  See Also:
    `ODataJPAFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JPQLContext.JPQLContextBuilder` | `getContextBuilder(JPQLContextType contextType)` The method returns a JPQL context builder for building JPQL Context object.
    `JPAMethodContext.JPAMethodContextBuilder` | `getJPAMethodContextBuilder(JPQLContextType contextType)` The method returns a JPA method context builder for building JPA Method context object.
    `JPQLStatement.JPQLStatementBuilder` | `getStatementBuilder(JPQLContextView context)` The method returns JPQL statement builder for building JPQL statements.

- - ### Method Detail

    - #### getStatementBuilder

          JPQLStatement.JPQLStatementBuilder getStatementBuilder(JPQLContextView context)

      The method returns JPQL statement builder for building JPQL statements.
      Parameters:
        `context` - is `JPQLContext` that determines the type of JPQL statement builder. The parameter cannot be null.
      Returns:
        an instance of JPQLStatementBuilder

    - #### getContextBuilder

          JPQLContext.JPQLContextBuilder getContextBuilder(JPQLContextType contextType)

      The method returns a JPQL context builder for building JPQL Context object.
      Parameters:
        `contextType` - is `JPQLContextType` that determines the type of JPQL context builder. The parameter cannot be null.
      Returns:
        an instance of JPQLContextBuilder

    - #### getJPAMethodContextBuilder

          JPAMethodContext.JPAMethodContextBuilder getJPAMethodContextBuilder(JPQLContextType contextType)

      The method returns a JPA method context builder for building JPA Method context object.
      Parameters:
        `contextType` - is `JPQLContextType` that determines the type of JPQL context builder. The parameter cannot be null.
      Returns:
        an instance of JPAMethodContextBuilder

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.